Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.


Excerpt
A list of prerequisites and dependencies you need to meet in order to run the 1E Client Deployment Assistant, and eventually install each of the 1E clients/agents.


Spacetitle

The following are required in order to run the 1E Client Deployment Assistant.

CategoryProductNotes

OS


SQL Query
outputwiki
noDataMessageN/A
heading0
enableHeadingAttributesfalse
autoCommitfalse
enableSortingfalse
dataSourceReleaseMatrix
enableHighlightingfalse
tablefalse
SELECT '* ' + os + CHAR(10)
FROM [release] AS r
INNER JOIN [product] AS p ON r.product_id = p.product_id
INNER JOIN [version] AS v on r.version_id = v.version_id
INNER JOIN [status] AS s on r.status_id = s.status_id
INNER JOIN [releaseOs] AS ros on r.release_id = ros.release_id
INNER JOIN [os] AS os on os.os_id = ros.os_id
WHERE product = '1E Client Deployment Assistant'
AND version = '1.5'
--AND os_type = 'Server'
AND os_vendor_supported = 'Y'ORDER BY os.os_type DESC, os.release_date DESC


CDA can be run on these OS.

Runtime libraries


SQL Query
outputwiki
noDataMessageN/A
heading0
enableHeadingAttributesfalse
autoCommitfalse
enableSortingfalse
dataSourceReleaseMatrix
enableHighlightingfalse
tablefalse
SELECT '* ' + framework + CHAR(10)
FROM [release] AS r
INNER JOIN [product] AS p ON r.product_id = p.product_id
INNER JOIN [version] AS v on r.version_id = v.version_id
INNER JOIN [status] AS s on r.status_id = s.status_id
INNER JOIN [releaseFramework] AS rf on r.release_id = rf.release_id
INNER JOIN [framework] AS f on f.framework_id = rf.framework_id
WHERE product = '1E Client Deployment Assistant'
AND version = '1.5'
--AND f.framework like '%6'
AND f.vendor_supported = 'Y'
ORDER BY framework DESC


CDA requires one of these versions of .NET Framework.

Configuration Manager


SQL Query
outputwiki
noDataMessageN/A
heading0
enableHeadingAttributesfalse
autoCommitfalse
enableSortingfalse
dataSourceReleaseMatrix
enableHighlightingfalse
tablefalse
SELECT '* ' + sccm + CHAR(10)
FROM [release] AS r
INNER JOIN [product] AS p ON r.product_id = p.product_id
INNER JOIN [version] AS v on r.version_id = v.version_id
INNER JOIN [status] AS s on r.status_id = s.status_id
INNER JOIN [releaseSccm] AS rsccm on r.release_id = rsccm.release_id
INNER JOIN [sccm] AS sccm on sccm.sccm_id = rsccm.sccm_id
WHERE product = '1E Client Deployment Assistant'
AND version = '1.5'
AND sccm.sccm not like '%TP%'
AND sccm.vendor_supported = 'Y'
ORDER BY sccm DESC


CDA requires one of these versions of Microsoft Systems Center Configuration Manager.

Other


Please see:


1E Client 5.1

The following are required in order to install 1E Client on client computers. Some are only required for particular client modules and features. The Tachyon client features of 1E Client are also supported on non-Windows platforms, however the 1E Client Deployment Assistant does not support using Configuration Manager to deploy 1E Client to non-Windows computers. Instead, please refer to Common client requirements.

CategoryProductNotes

OS

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@2d2df6b
MultiExcerptNameClientsSupportedOS
PageWithExcerpt1EC51:Supported Platforms

CDA only creates deployment types for workstations. The deployment types can be fine-tuned and manually amended to include server OS.

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@2d2df6b
MultiExcerptNameClientsSupportedOSNotes
PageWithExcerpt1EC51:Supported Platforms

Runtime libraries

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@2d2df6b
MultiExcerptNameClientsRuntimeLibraries
PageWithExcerpt1EC51:Supported Platforms

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@2d2df6b
MultiExcerptNameClientsRuntimeLibrariesNotes
PageWithExcerpt1EC51:Supported Platforms

Other Windows Software

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@2d2df6b
MultiExcerptNameClientsSupportedOther
PageWithExcerpt1EC51:Supported Platforms

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@2d2df6b
MultiExcerptNameClientsSupportedOtherNotes
PageWithExcerpt1EC51:Supported Platforms

Microsoft System Center Configuration Manager Client

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@2d2df6b
MultiExcerptNameSupportedSCCM
PageWithExcerpt1EC51:Supported Platforms

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@2d2df6b
MultiExcerptNameSCCM_Clients_Notes
PageWithExcerpt1EC51:Supported Platforms


1E NightWatchman Agent 7.3

The following are required in order to install 1E NightWatchman Agent on client computers. NightWatchman is also supported on macOS, however the 1E Client Deployment Assistant does not support using Configuration Manager to deploy NightWatchman Agent to non-Windows computers.

CategoryProductNotes

OS

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@473bf78
MultiExcerptNameClientSupportedOS
PageWithExcerptNWE73:Supported Platforms

Installs on these OS. 1E NightWatchman Agent does not install on server OS. CDA only creates deployment types for workstations which can be fine-tuned.

Does not require .NET Framework.

Configuration Manager

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@473bf78
MultiExcerptNameSupportedSCCM
PageWithExcerptNWE73:Supported Platforms

1E NightWatchman Agent feature MonitorJobs works with these versions of Configuration Manager.


Constraints of Legacy OS

Multiexcerpt include
SpaceWithExcerptcom.atlassian.confluence.content.render.xhtml.model.resource.identifiers.SpaceResourceIdentifier@117cc
MultiExcerptNameLimitedSupportStatement
PageWithExcerptHLP:Legacy OS